﻿--[[
	Author: Darcey@AllForTheCode.co.uk
--]]

function initDCoordsMapFrame()
    Coordinates_worldMapText = WorldMapButton:CreateFontString()
    Coordinates_worldMapText:SetTextColor(1, 1, 1)
    Coordinates_worldMapText:SetPoint("BOTTOM", WorldMapButton, "BOTTOM", 0, 6)

    --[[
    local fontSize = 20
    local fontStyle = "Fonts\\bLEI00D.TTF"
    local fontOutline = "OUTLINE"

    scaledFontSize = fontSize / WorldMapDetailFrame:GetEffectiveScale();
    Coordinates_worldMapText:SetFont(fontStyle, scaledFontSize, fontOutline);
    Coordinates_worldMapText:SetText("DCoords v"..DCoordsVersion);
    --]]
    
    WorldMapButton:SetScript("OnEnter",function(self,v)
        --setMouseMapState(true);
    end);
    WorldMapButton:SetScript("OnLeave",function(self,v)
        --setMouseMapState(false);
    end);
    
    WorldMapFrame:HookScript("OnEnter", function()
        setMouseMapState(true);
    end);
    
    WorldMapFrame:HookScript("OnLeave", function()
        setMouseMapState(false);
    end);
    
    
    
end


function setMouseMapState(state)
    mouseIsOverMap = state;
end



function updateDCoordsMapFrameState()

    if (DCoords_MapFrameVisible == true) then
        Coordinates_worldMapText:Show();
    else
        Coordinates_worldMapText:Hide();
    end
    
    Coordinates_worldMapText:SetFont(getMainFrameFont(), DCoords_MapFrameFontSize);
    
end



