﻿--[[
    Author:Darcey@AllForTheCode.co.uk 
--]]

-- SavedVariableDefaults
DCoords_MainFrameVisible = true;
DCoords_MainFrameX = 0;
DCoords_MainFrameY = 0;
DCoords_MainFrameWidth = 150;
DCoords_MainFrameHeight = 10;
DCoords_MainFrameShowBg = true;
DCoords_MainFrameBgAlpha = 1;
DCoords_MainFrameFont = 1;
DCoords_MainFrameFontSize = 13;
DCoords_MainFrameTextR = 1;
DCoords_MainFrameTextG = 1;
DCoords_MainFrameTextB = 1;
DCoords_MainFrameTextAlpha = 1;
DCoords_MainFrameDragEnabled = true;
DCoords_MainFrameShowZone = true;
DCoords_MainFrameShowSubZone = true;
DCoords_MainFrameDecimalPrecision = 1;

DCoords_MapFrameVisible = true;
DCoords_MapFrameFont = 1;
DCoords_MapFrameFontSize = 16;
DCoords_MapFrameTextAlpha = 1;
DCoords_MapFrameSingleDecimal = true;

-- Globals ("Fonts\\FRIZQT.TTF"; -- OLD: FRIZQT__.TTF)
DCoordsVersion = "4.0";
DCoordsDebug = false;

fontPath = "Interface\\Addons\\DCoords\\Fonts\\";
defaultFont = 2;
--fontNames = {"Font 1","Font 2","Font 3","Font 4","Font 5","Font 6","Font 7","Font 8","Font 9","Font 10","Font 11","Font 12","Font 13","Font 14","Font 15","Font 16"}
fontFiles = {
	"AccidentalPresidency.ttf",
	"Lora-Regular.ttf",
	"Montserrat-Regular.ttf",
	"OpenSans-CondBold.ttf",
	"OpenSans-CondLight.ttf",
	"OpenSans-CondLightItalic.ttf",
	"MORPHEUS.TTF",
	"NotoSans-Bold.ttf",
	"NotoSans-Italic.ttf",
	"NotoSans-Regular.ttf",
	"stonehen.ttf",
	"tiffanynormal.ttf",
	"ARAMIS.TTF",
	"BRAVADO.TTF",
	"DIGIWOI_.TTF"
}

-- Register Fonts (LibSharedMedia)
lsm = LibStub("LibSharedMedia-3.0", true)
for i=1,#fontFiles do
	local fPath = fontPath..fontFiles[i];
	--log("REGISTERING: " .. fPath)
	lsm:Register ("font", "Font " .. tostring(i), fPath)
end

-- DCoordsMainFrame
DCoordsMainFrame = null;
DCoordsMainFrameText = null;

-- DCoordsMenuFrame
DCoordsMenuFrame = null;
DCoordsMenuFrameText = null;
cbShowDCoords = null;
cbEnableDrag = null;
cbShowZone = null;
cbShowSubZone = null;
cbShowBackground = null;
cbShowMapCoordinates = null;
sliderTextR = null;
sliderTextG = null;
sliderTextB = null;
sliderTextA = null;
sliderMainFontSize = null;
sliderDecimalPrecision = null;

-- DCoordsMapFrame
DCoordsMapFrame = null;
DCoordsMapFrameText = null;



-- Working vars
px = 0;
py = 0;
mpx = 0;
mpy = 0;
zone = "";
subZone = "";
location = "";
mouseIsOverMap = false;